/***************************************************************************
 *   Copyright (C) 2008 by Manuel Schrape                                  *
 *   manuel.schrape@gmx.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License.        *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "dlg_Motortest.h"

dlg_Motortest::dlg_Motortest(QWidget *parent) : QDialog(parent)
{
    setupUi(this);
    connect(sl_Speed, SIGNAL(valueChanged(int)), this, SLOT(slot_Motortest(int)));
}

void dlg_Motortest::slot_Motortest(int Wert)
{
    sMotor Motor;

    for (int z = 0; z < 12; z++)
    {
        Motor.Speed[z] = 0;
    }

    if (cb_1->isChecked())
        Motor.Speed[0] = Wert;
    if (cb_2->isChecked())
        Motor.Speed[1] = Wert;
    if (cb_3->isChecked())
        Motor.Speed[2] = Wert;
    if (cb_4->isChecked())
        Motor.Speed[3] = Wert;
    if (cb_5->isChecked())
        Motor.Speed[4] = Wert;
    if (cb_6->isChecked())
        Motor.Speed[5] = Wert;
    if (cb_7->isChecked())
        Motor.Speed[6] = Wert;
    if (cb_8->isChecked())
        Motor.Speed[7] = Wert;
    if (cb_9->isChecked())
        Motor.Speed[8] = Wert;
    if (cb_10->isChecked())
        Motor.Speed[9] = Wert;
    if (cb_11->isChecked())
        Motor.Speed[10] = Wert;
    if (cb_12->isChecked())
        Motor.Speed[11] = Wert;

    emit updateMotor(Motor);
}

dlg_Motortest::~dlg_Motortest()
{
}


